Download it now!
Bug 109832 - Yes/No Property not Supported in RTF Import/Export
Summary: Yes/No Property not Supported in RTF Import/Export
Status: RESOLVED INSUFFICIENTDATA
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: x86-64 (AMD64) Linux (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: RTF
  Show dependency treegraph
 
Reported: 2017-07-28 12:55 UTC by documentfoundation.org
Modified: 2018-04-04 13:26 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
A LibreOffice document with a custom Yes/No property saved as incorrect RTF (2.42 KB, application/rtf)
2017-07-28 12:55 UTC, documentfoundation.org
Details
The document properties when saving as RTF (26.75 KB, image/png)
2017-07-28 12:56 UTC, documentfoundation.org
Details
Document property missing after reopening a file with a Yes/No property saved as RTF (22.21 KB, image/png)
2017-07-28 12:59 UTC, documentfoundation.org
Details
RTF file - LO 6 (2.19 KB, application/rtf)
2017-07-31 16:30 UTC, raal
Details

Note You need to log in before you can comment on or make changes to this bug.
Description documentfoundation.org 2017-07-28 12:55:21 UTC
Created attachment 134935 [details]
A LibreOffice document with a custom Yes/No property saved as incorrect RTF

LibreOffice has a Yes/No custom property whereas RTF has a Boolean property. LibreOffice does not save a Yes/No property properly in an RTF file and the property is lost when the file is opened in LibreOffice again. The faulty file may cause problems with other word processors when they open it.

I would suggest that the LibreOffice Yes/No property is mapped to the RTF Boolean property in a way (for LibreOffice to RTF) that Yes is mapped to 1 and No is mapped to 0 and (for RTF to LibreOffice) that 0 is mapped to No and all other values are mapped to Yes. In the latter case, only mapping 1 to Yes might be OK and produce an error in all other cases, except it might make it impossible to open a document despite it would otherwise be OK.
Comment 1 documentfoundation.org 2017-07-28 12:56:52 UTC
Created attachment 134936 [details]
The document properties when saving as RTF
Comment 2 documentfoundation.org 2017-07-28 12:59:00 UTC
Created attachment 134937 [details]
Document property missing after reopening a file with a Yes/No property saved as RTF

The property should have survived the trip through RTF but did not
Comment 3 raal 2017-07-31 16:30:31 UTC
Created attachment 135024 [details]
RTF file - LO 6

I can not confirm with Version: 6.0.0.0.alpha0+
Build ID: e0bafa78e3ad0df397d78cd65ad19bd5b07dc5f2
CPU threads: 4; OS: Linux 4.4; UI render: default; VCL: gtk2; 
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:master, Time: 2017-07-20_22:42:49

After resave I see Yes/No property in the RTF file.

Seems to be fixed in dev version. Please could you test with dev version?
http://dev-builds.libreoffice.org/daily/master/
Thank you
Comment 4 QA Administrators 2018-03-02 10:01:30 UTC Comment hidden (obsolete)
Comment 5 QA Administrators 2018-04-04 13:26:54 UTC
Dear Bug Submitter,

Please read this message in its entirety before proceeding.

Your bug report is being closed as INSUFFICIENTDATA due to inactivity and
a lack of information which is needed in order to accurately
reproduce and confirm the problem. We encourage you to retest
your bug against the latest release. If the issue is still
present in the latest stable release, we need the following
information (please ignore any that you've already provided):

a) Provide details of your system including your operating
   system and the latest version of LibreOffice that you have
   confirmed the bug to be present

b) Provide easy to reproduce steps – the simpler the better

c) Provide any test case(s) which will help us confirm the problem

d) Provide screenshots of the problem if you think it might help

e) Read all comments and provide any requested information

Once all of this is done, please set the bug back to UNCONFIRMED
and we will attempt to reproduce the issue. Please do not:

a) respond via email 

b) update the version field in the bug or any of the other details
   on the top section of our bug tracker

Warm Regards,
QA Team

MassPing-NeedInfo-20180404